export class RestApiProxy {
    constructor() {
        this.apiProxy = {};
        return new Proxy(this, {
            get: (target, prop, receiver) => {
                if (prop in target) {
                    return Reflect.get(target, prop, receiver);
                }
                if (this.apiProxy && prop in this.apiProxy) {
                    return Reflect.get(this.apiProxy, prop, receiver);
                }
            }
        });
    }
    init(api, methodsWhiteList) {
        this.apiProxy = api;
    }
}
