import type { PropertyValue, Schema, InferSchemaTypesWrite } from '../types/index.js';
import type { UserProvidedConfig } from './types.js';
export declare const mergeDefaultsWithPayload: <S extends Schema = Schema>(schema: S, payload: Partial<InferSchemaTypesWrite<S>>) => Promise<InferSchemaTypesWrite<S>>;
export declare const pickUniqFieldsFromRecord: <S extends Schema = Schema>(schema: S, data: Partial<InferSchemaTypesWrite<S>>) => Record<string, PropertyValue>;
export declare const pickUniqFieldsFromRecords: <S extends Schema = Schema>(data: Partial<InferSchemaTypesWrite<S>>[], schema: S, label: string) => Record<string, PropertyValue[]>;
export declare const parseConfig: (config?: Record<string, unknown>) => UserProvidedConfig;
export declare function validateInteger(name: string, n: unknown, defaultVal?: number): number;
export declare function idToTimestamp(id: string): number;
export declare function idToDate(id: string): Date;
